Bug 203773 - Enable powerPreference controlled GPU switching with ANGLE
Summary: Enable powerPreference controlled GPU switching with ANGLE
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: ANGLE (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks: 198948
  Show dependency treegraph
 
Reported: 2019-11-01 17:30 PDT by James Darpinian
Modified: 2019-11-06 13:29 PST (History)
8 users (show)

See Also:


Attachments
Enable powerPreference controlled GPU switching with ANGLE (6.07 KB, patch)
2019-11-01 17:32 PDT, James Darpinian
no flags Details | Formatted Diff | Diff
Update ChangeLog (6.18 KB, patch)
2019-11-01 17:36 PDT, James Darpinian
no flags Details | Formatted Diff | Diff
Update ChangeLog (6.22 KB, patch)
2019-11-04 16:05 PST, James Darpinian
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James Darpinian 2019-11-01 17:30:08 PDT
Enable powerPreference controlled GPU switching with ANGLE
Comment 1 James Darpinian 2019-11-01 17:32:46 PDT
Created attachment 382661 [details]
Enable powerPreference controlled GPU switching with ANGLE
Comment 2 James Darpinian 2019-11-01 17:36:09 PDT
Created attachment 382662 [details]
Update ChangeLog
Comment 3 WebKit Commit Bot 2019-11-04 06:03:52 PST
Comment on attachment 382662 [details]
Update ChangeLog

Rejecting attachment 382662 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-01', 'validate-changelog', '--check-oops', '--non-interactive', 382662, '--port=mac']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

/Volumes/Data/EWS/WebKit/Source/WebCore/ChangeLog neither lists a valid reviewer nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).

Full output: https://webkit-queues.webkit.org/results/13210454
Comment 4 James Darpinian 2019-11-04 15:56:43 PST
Hmm, is there something I should do to fix the commit queue error? I thought the reviewer was automatically added to the ChangeLog somehow.
Comment 5 James Darpinian 2019-11-04 16:05:56 PST
Created attachment 382782 [details]
Update ChangeLog
Comment 6 James Darpinian 2019-11-04 16:06:48 PST
I'm guessing it was the fact that I accidentally deleted the "Reviewed by NOBODY" line in my changelog.
Comment 7 WebKit Commit Bot 2019-11-05 08:52:38 PST
Comment on attachment 382782 [details]
Update ChangeLog

Clearing flags on attachment: 382782

Committed r252055: <https://trac.webkit.org/changeset/252055>
Comment 8 WebKit Commit Bot 2019-11-05 08:52:40 PST
All reviewed patches have been landed.  Closing bug.
Comment 9 Radar WebKit Bug Importer 2019-11-05 08:53:16 PST
<rdar://problem/56905532>